Together AI SDK (Python)
from together import Together
import os
client = Together(
api_key=os.environ.get("TOGETHER_API_KEY"),
)
response = client.files.list()
for file in response.data:
print(file.id)import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const response = await client.files.list();
for (const file of response.data) {
console.log(file.id);
}
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const response = await client.files.list();
for (const file of response.data) {
console.log(file.id);
}
curl "https://api.together.ai/v1/files" \
-H "Authorization: Bearer $TOGETHER_API_KEY" \
-H "Content-Type: application/json"

{
"data": [
{
"id": "<string>",
"object": "file",
"created_at": 123,
"filename": "my_file.jsonl",
"bytes": 123,
"purpose": "fine-tune",
"Processed": true,
"FileType": "jsonl",
"validation_report": {
"valid": true,
"dataset_format": "<string>",
"dataset_has_sample_weights": true,
"dataset_has_message_weights": true,
"dataset_is_multimodal": true,
"dataset_has_tools": true,
"dataset_has_parallel_tool_calls": true,
"dataset_has_reasoning": true,
"nlines": 123,
"file_id": "<string>",
"error_type": "INVALID_FORMAT",
"error": "<string>"
}
}
]
}Files
List all files
List the metadata for all uploaded data files.
GET
/
files
Together AI SDK (Python)
from together import Together
import os
client = Together(
api_key=os.environ.get("TOGETHER_API_KEY"),
)
response = client.files.list()
for file in response.data:
print(file.id)import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const response = await client.files.list();
for (const file of response.data) {
console.log(file.id);
}
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const response = await client.files.list();
for (const file of response.data) {
console.log(file.id);
}
curl "https://api.together.ai/v1/files" \
-H "Authorization: Bearer $TOGETHER_API_KEY" \
-H "Content-Type: application/json"

{
"data": [
{
"id": "<string>",
"object": "file",
"created_at": 123,
"filename": "my_file.jsonl",
"bytes": 123,
"purpose": "fine-tune",
"Processed": true,
"FileType": "jsonl",
"validation_report": {
"valid": true,
"dataset_format": "<string>",
"dataset_has_sample_weights": true,
"dataset_has_message_weights": true,
"dataset_is_multimodal": true,
"dataset_has_tools": true,
"dataset_has_parallel_tool_calls": true,
"dataset_has_reasoning": true,
"nlines": 123,
"file_id": "<string>",
"error_type": "INVALID_FORMAT",
"error": "<string>"
}
}
]
}Was this page helpful?
⌘I